<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####

include_once( "../include/class.SQLString.php" );
include_once("auth.php");

## mysql verbindung aufbauen
db_connect($db_host, $db_user, $db_pass);
## /mysql verbindung aufbauen

## so viel darf noch eingerichtet werden
$id = safe_query( "select maxftp, webmail, webftp, pwschutz, fehlerseiten, maxsubdomains, perl from kunden where kunde = ? ", TRUE, new SQLString( $PHP_AUTH_USER ) );
$werte = db_fetch_array($id);
$maxsubdomains = $werte["maxsubdomains"];
$maxftp = $werte["maxftp"];
$skwebmail = $werte["webmail"];
$skwebftp = $werte["webftp"];
$skfehlerseiten = $werte["fehlerseiten"];
$skpwschutz = $werte["pwschutz"];
$skperl = $werte["perl"];

$ftpaccliste[] = $PHP_AUTH_USER;
if ($maxftp <> 0)
	{
	 $id = safe_query( "select account from ftp where kunde = ?  order by number", TRUE, new SQLString( $PHP_AUTH_USER ) );
	 while ($werte = db_fetch_array($id))
		{
		 $ftpaccliste[] = $werte["account"];
		}
	}

## /so viel darf noch eingerichtet werden

?>

<HTML>
<HEAD>
<META content="text/html; charset=<? echo $lang_html_charset; ?>" http-equiv=Content-Type>
<LINK href="<?=$strSkinName?>/style.css" rel=stylesheet type=text/css>
</HEAD>

<BODY bgColor=#ffffff bottomMargin=0 leftMargin=0 topMargin=0 MARGINHEIGHT="0" MARGINWIDTH="0">
<br><? include("../fehler.inc.php"); ?>
<script>
function doChange()
{
document.forms[0].submit();
}
</script>
<table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF">
      <form method="post" action="/cgi-bin/webftp/webftp.cgi" target="_blank">
          <tr> 
            <td>
              <? echo ltext("towe_cell_ftp"); ?>
              </td>
            <td> 
              <select name="username">
                <?
for ($i=0;$i<count($ftpaccliste);$i++) {
echo"                <option value=\"$ftpaccliste[$i]\">$ftpaccliste[$i]</option>\n";
}
?>
              </select>
            </td>
          </tr>
          <tr> 
            <td>
              <? echo ltext("towe_cell_pw"); ?>
              </td>
            <td> 
              <input type="password" name="pass" size="10">
            </td>
          </tr>
          <tr> 
            <td>&nbsp;</td>
            <td><? echo std_button(ltext('towe_btn_go'), 'javascript:doChange()') ?></td>
          </tr>
      </form>
</TABLE>
</BODY>
</HTML>

<?
db_close();
?>
